mkdir -p './insserv/overrides'
mkdir -p './kernel/install.d'
mkdir -p './modprobe.d'
-mkdir -p './network/if-post-down.d'
mkdir -p './network/if-pre-up.d'
mkdir -p './network/interfaces.d'
mkdir -p './opt'
maybe chmod 0755 '.'
maybe chmod 0700 '.etckeeper'
maybe chmod 0600 '.gitignore'
+maybe chmod 0755 'NetworkManager'
+maybe chmod 0755 'NetworkManager/dispatcher.d'
+maybe chmod 0755 'NetworkManager/dispatcher.d/20-chrony'
maybe chmod 0755 'X11'
maybe chmod 0755 'X11/Xsession.d'
maybe chmod 0644 'X11/Xsession.d/60xdg-user-dirs-update'
maybe chmod 0644 'apache2/conf-available/javascript-common.conf'
maybe chmod 0755 'apm'
maybe chmod 0755 'apm/event.d'
+maybe chmod 0755 'apm/event.d/01chrony'
maybe chmod 0755 'apm/event.d/20hdparm'
maybe chmod 0755 'apt'
maybe chmod 0644 'apt/SALTSTACK-GPG-KEY.pub'
maybe chmod 0755 'ca-certificates/update.d'
maybe chmod 0755 'calendar'
maybe chmod 0644 'calendar/default'
+maybe chmod 0755 'chrony'
+maybe chmod 0644 'chrony/chrony.conf'
+maybe chmod 0640 'chrony/chrony.keys'
maybe chmod 0755 'console-setup'
maybe chmod 0644 'console-setup/cached_Lat15-Fixed16.psf.gz'
maybe chmod 0644 'console-setup/cached_UTF-8_del.kmap.gz'
maybe chmod 0755 'init.d/checkfs.sh'
maybe chmod 0755 'init.d/checkroot-bootclean.sh'
maybe chmod 0755 'init.d/checkroot.sh'
+maybe chmod 0755 'init.d/chrony'
maybe chmod 0755 'init.d/console-setup.sh'
maybe chmod 0755 'init.d/cron'
maybe chmod 0755 'init.d/dbus'
maybe chmod 0755 'logrotate.d'
maybe chmod 0644 'logrotate.d/apt'
maybe chmod 0644 'logrotate.d/aptitude'
+maybe chmod 0644 'logrotate.d/chrony'
maybe chmod 0644 'logrotate.d/dpkg'
maybe chmod 0644 'logrotate.d/rsyslog'
maybe chmod 0644 'logrotate.d/salt-common'
maybe chmod 0755 'network/if-down.d'
maybe chmod 0755 'network/if-down.d/upstart'
maybe chmod 0755 'network/if-post-down.d'
+maybe chmod 0755 'network/if-post-down.d/chrony'
maybe chmod 0755 'network/if-pre-up.d'
maybe chmod 0755 'network/if-up.d'
+maybe chmod 0755 'network/if-up.d/chrony'
maybe chmod 0755 'network/if-up.d/mountnfs'
maybe chmod 0755 'network/if-up.d/openssh-server'
maybe chmod 0755 'network/if-up.d/upstart'
maybe chmod 0755 'perl/Net'
maybe chmod 0644 'perl/Net/libnet.cfg'
maybe chmod 0644 'perl/sitecustomize.pl'
+maybe chmod 0755 'ppp'
+maybe chmod 0755 'ppp/ip-down.d'
+maybe chmod 0755 'ppp/ip-down.d/chrony'
+maybe chmod 0755 'ppp/ip-up.d'
+maybe chmod 0755 'ppp/ip-up.d/chrony'
maybe chmod 0644 'profile'
maybe chmod 0755 'profile.d'
maybe chmod 0644 'profile.d/Z97-byobu.sh'
--- /dev/null
+#!/bin/sh
+# This is a NetworkManager dispatcher script for chronyd to set its NTP sources
+# online/offline when a default route is configured/removed on the system.
+
+export LC_ALL=C
+
+if [ "$2" = "up" ]; then
+ /sbin/ip route list dev "$1" | grep -q '^default' &&
+ /usr/bin/chronyc online > /dev/null 2>&1
+fi
+
+if [ "$2" = "down" ]; then
+ /sbin/ip route list | grep -q '^default' ||
+ /usr/bin/chronyc offline > /dev/null 2>&1
+fi
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+# Placed in /etc/apm/event.d by the chrony package at the instruction of
+# the apmd maintainer. If you don't have apm and don't intend to install
+# apmd you may remove it. It needs to run after 00hwclock but before any
+# other scripts.
+
+
+[ -x /usr/sbin/chronyd ] || exit 0
+
+if [ "$1" = suspend ]; then
+ invoke-rc.d chrony stop
+elif [ "$1" = standby ]; then
+ invoke-rc.d chrony stop
+elif [ "$1" = resume ]; then
+ invoke-rc.d chrony start
+fi
--- /dev/null
+# This the default chrony.conf file for the Debian chrony package. After
+# editing this file use the command 'invoke-rc.d chrony restart' to make
+# your changes take effect. John Hasler <jhasler@debian.org> 1998-2008
+
+# See www.pool.ntp.org for an explanation of these servers. Please
+# consider joining the project if possible. If you can't or don't want to
+# use these servers I suggest that you try your ISP's nameservers. We mark
+# the servers 'offline' so that chronyd won't try to connect when the link
+# is down. Scripts in /etc/ppp/ip-up.d and /etc/ppp/ip-down.d use chronyc
+# commands to switch it on when a dialup link comes up and off when it goes
+# down. Code in /etc/init.d/chrony attempts to determine whether or not
+# the link is up at boot time and set the online status accordingly. If
+# you have an always-on connection such as cable omit the 'offline'
+# directive and chronyd will default to online.
+
+pool 2.debian.pool.ntp.org offline iburst
+
+# This directive specify the location of the file containing ID/key pairs for
+# NTP authentication.
+
+keyfile /etc/chrony/chrony.keys
+
+# I moved the driftfile to /var/lib/chrony to comply with the Debian
+# filesystem standard.
+
+driftfile /var/lib/chrony/chrony.drift
+
+# Comment this line out to turn off logging.
+
+log tracking measurements statistics
+logdir /var/log/chrony
+
+# Stop bad estimates upsetting machine clock.
+
+maxupdateskew 100.0
+
+# Dump measurements when daemon exits.
+
+dumponexit
+
+# Specify directory for dumping measurements.
+
+dumpdir /var/lib/chrony
+
+# This directive lets 'chronyd' to serve time even if unsynchronised to any
+# NTP server.
+
+#local stratum 10
+
+# This directive designates subnets (or nodes) from which NTP clients are allowed
+# to access to 'chronyd'.
+
+#allow foo.example.net
+#allow 10/8
+#allow 0/0 (allow access by any IPv4 node)
+#allow ::/0 (allow access by any IPv6 node)
+
+# This directive defines an email address to which mail should be sent
+# if chronyd applies a correction exceeding a particular threshold to the
+# system clock.
+
+# mailonchange root@localhost 0.5
+
+# This directive tells 'chronyd' to parse the 'adjtime' file to find out if the
+# real-time clock keeps local time or UTC. It overrides the 'rtconutc' directive.
+
+hwclockfile /etc/adjtime
+
+# This directive enables kernel synchronisation (every 11 minutes) of the
+# real-time clock. Note that it can’t be used along with the 'rtcfile' directive.
+
+rtcsync
--- /dev/null
+# This file is solely used for NTP authentication with symmetric keys
+# as defined by RFC 1305 and RFC 5905.
+#
+# It can contain ID/key pairs which can be generated using the “keygen” option
+# from “chronyc”; for example:
+# chronyc keygen 1 SHA256 256 >> /etc/chrony/chrony.keys
+# would generate a 256-bit SHA-256 key using ID 1.
+#
+# A list of supported hash functions and output encoding can be found in
+# the "keyfile" section from the "/usr/share/doc/chrony/chrony.txt.gz" file.
frank:x:1000:
mlocate:x:111:frank,repo
sbuild:x:112:frank,repo
+_chrony:x:113:
mail:x:8:
news:x:9:
uucp:x:10:
-man:x:12:frank
+man:x:12:frank,repo
proxy:x:13:
kmem:x:15:
dialout:x:20:
audio:x:29:frank
dip:x:30:frank
www-data:x:33:
-backup:x:34:frank
-operator:x:37:frank
+backup:x:34:frank,repo
+operator:x:37:frank,repo
list:x:38:
irc:x:39:
-src:x:40:frank
+src:x:40:frank,repo
gnats:x:41:
shadow:x:42:
utmp:x:43:
video:x:44:frank
sasl:x:45:
plugdev:x:46:frank
-staff:x:50:frank
+staff:x:50:frank,repo
games:x:60:frank
users:x:100:
nogroup:x:65534:
messagebus:x:109:
ssh:x:110:
frank:x:1000:
-mlocate:x:111:frank
-sbuild:x:112:frank
+mlocate:x:111:frank,repo
+sbuild:x:112:frank,repo
frank:!::
mlocate:!::frank,repo
sbuild:!::frank,repo
+_chrony:!::
mail:*::
news:*::
uucp:*::
-man:*::frank
+man:*::frank,repo
proxy:*::
kmem:*::
dialout:*::
audio:*::frank
dip:*::frank
www-data:*::
-backup:*::frank
-operator:*::frank
+backup:*::frank,repo
+operator:*::frank,repo
list:*::
irc:*::
-src:*::frank
+src:*::frank,repo
gnats:*::
shadow:*::
utmp:*::
video:*::frank
sasl:*::
plugdev:*::frank
-staff:*::frank
+staff:*::frank,repo
games:*::frank
users:*::
nogroup:*::
messagebus:!::
ssh:!::
frank:!::
-mlocate:!::frank
-sbuild:!::frank
+mlocate:!::frank,repo
+sbuild:!::frank,repo
--- /dev/null
+#! /bin/sh
+#
+# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
+# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for Debian by Christoph Lameter <clameter@debian.org>
+# Modified for chrony by John Hasler <jhasler@debian.org> 1998-2012
+# Modified for Debian by Vincent Blut <vincent.debian@free.fr>
+
+### BEGIN INIT INFO
+# Provides: chrony
+# Required-Start: $remote_fs
+# Required-Stop: $remote_fs
+# Should-Start: $syslog $network $named $time
+# Should-Stop: $syslog $network $named $time
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Controls chronyd NTP time daemon
+# Description: Chronyd is the NTP time daemon in the Chrony package
+### END INIT INFO
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/chronyd
+NAME="chronyd"
+DESC="time daemon"
+
+[ -x "$DAEMON" ] || exit 0
+
+. /lib/lsb/init-functions
+
+putonline ()
+{ # Do we have a default route? If so put chronyd online.
+ if ip r 2>/dev/null | grep -q '^default'; then
+ if chronyc -m online 'burst 4/4' > /dev/null 2>&1; then
+ touch /var/run/chrony-ppp-up
+ echo "$NAME is running and online."
+ else
+ rm -f /var/run/chrony-ppp-up
+ echo "$NAME is running and offline."
+ fi
+ else
+ rm -f /var/run/chrony-ppp-up
+ echo "$NAME is running and offline."
+ fi
+}
+
+case "$1" in
+ start)
+ start-stop-daemon --start --verbose --exec $DAEMON
+ case "$?" in
+ 0) # daemon successfully started
+ putonline
+ ;;
+ 1) # daemon already running
+ ;;
+ *) # daemon could not be started
+ echo "$DAEMON failed to start."
+ exit 1
+ ;;
+ esac
+ ;;
+ stop)
+ start-stop-daemon --stop --verbose --oknodo --exec $DAEMON
+ rm -f /var/run/chrony-ppp-up
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --verbose --exec $DAEMON -- -r
+ case "$?" in
+ 0) # daemon successfully started
+ putonline
+ ;;
+ 1) # still running
+ ;;
+ *) # daemon could not be started
+ echo "$DAEMON failed to restart."
+ rm -f /var/run/chrony-ppp-up
+ exit 1
+ ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ *)
+ echo "Usage: /etc/init.d/chrony {start|stop|restart|force-reload|status}"
+ exit 1
+ ;;
+esac
+
+exit 0
--- /dev/null
+/var/log/chrony/*.log {
+ weekly
+ rotate 7
+ missingok
+ notifempty
+ compress
+ delaycompress
+ sharedscripts
+ create 644
+ postrotate
+ /usr/bin/chronyc cyclelogs > /dev/null 2>&1 || true
+ endscript
+}
--- /dev/null
+#!/bin/sh
+
+set -e
+
+[ -x /usr/sbin/chronyd ] || exit 0
+
+if [ -e /run/chronyd.pid ] && ! ip r 2> /dev/null | grep -q '^default'; then
+ chronyc offline > /dev/null 2>&1
+else
+ exit 0
+fi
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+[ -x /usr/sbin/chronyd ] || exit 0
+
+if [ -e /run/chronyd.pid ] &&
+ ip r list dev $IFACE 2> /dev/null | grep -q '^default'; then
+ chronyc -m online 'burst 4/10' > /dev/null 2>&1
+else
+ exit 0
+fi
+
+exit 0
frank:x:1000:100:Frank Brehm,,,:/home/frank:/bin/bash
sbuild:x:108:112:Debian source builder,,,:/var/lib/sbuild:/bin/bash
repo:x:1111:100:Repository user Lena:/home/repo:/bin/bash
+_chrony:x:109:113:Chrony daemon,,,:/var/lib/chrony:/bin/false
frank:x:1000:100:Frank Brehm,,,:/home/frank:/bin/bash
sbuild:x:108:112:Debian source builder,,,:/var/lib/sbuild:/bin/bash
repo:x:1111:100:Repository user Lena:/home/repo:/bin/bash
+_chrony:x:109:113::/var/lib/chrony:/bin/false
--- /dev/null
+#!/bin/sh
+# This script tells chronyd that the connection is down
+# so that it won't try to contact the server.
+# John Hasler <jhasler@debian.org> 1998-2003
+# Any possessor of a copy of this program may treat it as if it
+# were in the public domain. I waive all rights.
+# Modified by Vincent Blut <vincent.debian@free.fr>
+
+/bin/pidof chronyd > /dev/null || exit 0
+# Don't mark the connection offline unless we know ppp brought it up.
+test -e /var/run/chrony-ppp-up || exit 0
+if ! ip r 2> /dev/null | grep -q '^default'; then
+ chronyc offline > /dev/null 2>&1
+fi
+rm -f /var/run/chrony-ppp-up
+exit 0
--- /dev/null
+#!/bin/sh
+# This script tells chronyd that the connection is up so that it can
+# contact the server. John Hasler <jhasler@debian.org> 1998-2003
+# Any possessor of a copy of this program may treat it as if it
+# were in the public domain. I waive all rights.
+# Modified by Vincent Blut <vincent.debian@free.fr>
+
+/bin/pidof chronyd > /dev/null || exit 0
+/usr/bin/chronyc -m online 'burst 4/4' > /dev/null 2>&1
+touch /var/run/chrony-ppp-up
+exit 0
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
--- /dev/null
+../init.d/chrony
\ No newline at end of file
frank:$6$oR0QIOUw$rp34cHHqp2Zv3jqEVh750MGr3at33CIm6CnYVMOa3rISOfP/uR8QrkI1hI0nedRbbmPt89xK3sFKwMo2Sa/ls0:17079:0:99999:7:::
sbuild:*:17101:0:99999:7:::
repo:!:17101:0:99999:7:::
+_chrony:*:17122:0:99999:7:::
frank:$6$oR0QIOUw$rp34cHHqp2Zv3jqEVh750MGr3at33CIm6CnYVMOa3rISOfP/uR8QrkI1hI0nedRbbmPt89xK3sFKwMo2Sa/ls0:17079:0:99999:7:::
sbuild:*:17101:0:99999:7:::
repo:!:17101:0:99999:7:::
+_chrony:*:17122:0:99999:7:::
frank:624288:65536
sbuild:689824:65536
repo:755360:65536
+_chrony:820896:65536
sshd:558752:65536
frank:624288:65536
sbuild:689824:65536
+repo:755360:65536
frank:624288:65536
sbuild:689824:65536
repo:755360:65536
+_chrony:820896:65536
sshd:558752:65536
frank:624288:65536
sbuild:689824:65536
+repo:755360:65536